4Suite™ API Documentation

# ► Module Ft.Server.Client.Commands.Update

This command will replace the content of an existing resource in a 4Suite repository, reading in the new content from a file on the local filesystem, for example. A subcommand specifying which type of resource to update is required. See the help message for a subcommand for specific usage info.

Functions: Register |  |  |  | Fields: g_subCommands

## Modules

Document | This command updates the content of an existing XML Document resource in a 4Suite repository. If necessary, you will be prompted first for credentials and access info to connect to the repository.
Extension | This command reloads an extension module in a 4Suite repository. If necessary, you will be prompted first for credentials and access info to connect to the repository.
RawFile | This command updates the content of an existing Raw File resource in a 4Suite repository. If necessary, you will be prompted first for credentials and access info to connect to the repository.

## Functions

Register()

## Fields

g_subCommands = [<module 'Ft.Server.Client.Commands.Update.Docume....4/Ft/Server/Client/Commands/Update/Document.py'>, <module 'Ft.Server.Client.Commands.Update.RawFil...2.4/Ft/Server/Client/Commands/Update/RawFile.py'>, <module 'Ft.Server.Client.Commands.Update.Extens...4/Ft/Server/Client/Commands/Update/Extension.py'>]